.SUFFIXES: .o .C .c  .cpp

##################################################################

include ../../sys/config/mkflags

##################################################################

all: mpfc.so
	/bin/cp mpfc_perl.so ../../lib
	/bin/cp mpfc.pm ../../lib
runtime: mpfc.so
	/bin/cp mpfc_perl.so ../../lib
	/bin/cp mpfc.pm ../../lib

debug: mpfc.so
	/bin/cp mpfc_perl.so ../../lib
	/bin/cp mpfc.pm ../../lib

mpfc.so: mpfc_proc.o mpfc_wrap.o
	$(CC) -o mpfc_perl.so $(SHARED)mpfc_perl.so mpfc_proc.o mpfc_wrap.o \
	`perl -MExtUtils::Embed -e ccopts -e ldopts` -L../../lib \
	-lwssheet -lwsr -lwsc -lwsx11 -lwsb -lwsj3w -lws \
	-L/usr/X11R6/lib -lX11


mpfc_proc.o: mpfc_proc.cpp
	$(CC) $(C++FLAGS2_DLL) -c mpfc_proc.cpp `perl -MExtUtils::Embed -e ccopts` -I../../include -I/usr/X11R6/include

mpfc_wrap.o: mpfc_wrap.cpp
	$(CC) $(C++FLAGS2_DLL) -c mpfc_wrap.cpp `perl -MExtUtils::Embed -e ccopts` -I../../include -I/usr/X11R6/include


clean:
	rm -f mpfc_proc.o mpfc_wrap.o mpfc_perl.so ../../lib/mpfc_perl.so ../../lib/mpfc.pm


